Bug 273560 - Layer Blend mode and opacity display bug
Summary: Layer Blend mode and opacity display bug
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Dockers (show other bugs)
Version: git master (please specify the git hash!)
Platform: Compiled Sources Linux
: NOR normal
Target Milestone: ---
Assignee: pentalis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-18 14:34 UTC by animtim
Modified: 2011-06-11 18:28 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description animtim 2011-05-18 14:34:13 UTC
Version:           svn trunk
OS:                Linux

The layer blend mode and opacity values display above the layer stack are wrongly updated.

Reproducible: Always

Steps to Reproduce:
Create a 2nd layer.
change blending mode and opacity of the layer1.
go to layer 2 : it still display infos from layer1.
And then it always display the infos from the previous selected layer.
Comment 1 Halla Rempt 2011-05-18 14:37:48 UTC
Thanks! Definitely confirmed!
Comment 2 pentalis 2011-06-11 18:28:17 UTC
Git commit a76369188f12c4bd22eee0bd82b65bc70656c34a by José Luis Vergara.
Committed on 11/06/2011 at 18:22.
Pushed by jlvergara into branch 'master'.

Temporary bug fix of the Krita layerbox to let artists paint with the master branch

o Minimal bugfix, good for the user, but probably not correct from a coder's point of view.
o It will be replaced by a more correct bugfix later (unless this was actually the most correct way to fix it).
BUG:270510
BUG:273560

M  +3    -1    krita/plugins/extensions/dockers/defaultdockers/kis_layer_box.cpp     

http://commits.kde.org/calligra/a76369188f12c4bd22eee0bd82b65bc70656c34a